<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.mapper.stock.StockMapper">

    <select id="statistics" resultType="java.util.Map">
        select s.number,
               s.quantity,
               m.technology_type,
               m.purpose,
               ifnull(m.width, 0) width,
               m.price
        from stock s
                 left join material m on s.material_id = m.id
        where s.number > 0
    </select>

    <select id="getPage" resultType="java.util.Map">
        select * from

    </select>

</mapper>
